# New ports collection makefile for:	gugod-clean
# Date Created:                         21 Jun 2001
# Whom:                                 Kang-min Liu <gugod@gugod.org>
# $FreeBSD: ports/chinese/gugod-clean/Makefile,v 1.12 2003/02/21 11:06:28 knu Exp $

PORTNAME=	gugod-clean
PORTVERSION=	1.3
CATEGORIES=	chinese x11-fonts
MASTER_SITES=	ftp://freebsd.sinica.edu.tw/pub/gugod/

MAINTAINER=	gugod@gugod.org
COMMENT=	A pretty font modifyed from X11 schumacher-clean that match kcfonts

USE_X_PREFIX=	yes
.include <bsd.port.pre.mk>

.if ${XFREE86_VERSION} == 4
RUN_DEPENDS=	mkfontdir:${PORTSDIR}/x11/XFree86-4-clients
.endif

FONTFILES=	gugod16.bdf gugod18.bdf gugod20.bdf gugod22.bdf

WRKSRC=		${WRKDIR}
NO_BUILD=	yes
SHAREMODE=	644
XFONTDIR=	${X11BASE}/lib/X11/fonts/local

do-install:
	@${MKDIR} ${XFONTDIR}
.for i in ${FONTFILES}
	@${INSTALL_DATA} ${WRKSRC}/${i} ${XFONTDIR}
.endfor
	@cd ${XFONTDIR} ; mkfontdir

.include <bsd.port.post.mk>
